Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055376 - CVE-2013-7299 tntnet: information leak via crafted HTTP request [fedora-all]
Summary: CVE-2013-7299 tntnet: information leak via crafted HTTP request [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tntnet
Version: 20
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: MartinKG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-20 06:27 UTC by Ratul Gupta
Modified: 2014-02-06 21:07 UTC (History)
2 users (show)

Fixed In Version: tntnet-2.2.1-2.fc20
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 03:37:20 UTC


Attachments (Terms of Use)

Description Ratul Gupta 2014-01-20 06:27:36 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]

Comment 1 Ratul Gupta 2014-01-20 06:27:48 UTC
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1055374,1055376

Comment 2 Fedora Update System 2014-01-21 17:05:05 UTC
tntnet-2.2.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/tntnet-2.2.1-1.fc20

Comment 3 Fedora Update System 2014-01-22 23:04:25 UTC
Package tntnet-2.2.1-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tntnet-2.2.1-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1307/tntnet-2.2.1-1.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-01-26 17:26:36 UTC
tntnet-2.2.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/tntnet-2.2.1-2.fc20

Comment 6 Fedora Update System 2014-02-05 03:37:20 UTC
tntnet-2.2.1-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Ville Skyttä 2014-02-05 22:20:32 UTC
@Martin:

The update to 2.2.1 in F-20 was an incompatible one; it updated the libtntnet soname from 11 to 12 and thus broke at least vdr-live.

As a rule of thumb, incompatible changes like that should not be made on released distro versions at all, and if they *need* to be done (for example if this security flaw could not have been fixed by backporting with reasonable effort), that has to be *announced* and dependencies be taken care of.

https://fedoraproject.org/wiki/Updates_Policy
https://fedoraproject.org/wiki/Package_maintainer_responsibilities#Notify_others_of_changes_that_may_affect_their_packages

In this case looks like you tried to rebuild vdr-live, but ended up building it against the old tntnet (because you didn't file for a buildroot override for it) and shipping an unneeded vdr-live update which now needs to be redone ASAP against the new tntnet; otherwise people who have vdr-live installed will not receive the tntnet security update without manual intervention/hackery. 

I believe all other tntnet dependent packages in F-20 (if any, haven't checked) are in a similar situation, not to mention anything locally built against the old libtntnet will be broken unless some other package blocked the update...

# yum upgrade
[...]
---> Package tntnet.x86_64 0:2.2.1-2.fc20 will be an update
--> Finished Dependency Resolution
Error: Package: vdr-live-0.3.0-11.20130504git69f84f9.fc20.x86_64 (@updates)
           Requires: libtntnet.so.11()(64bit)
           Removing: tntnet-2.2-7.fc20.x86_64 (@fedora)
               libtntnet.so.11()(64bit)
           Updated By: tntnet-2.2.1-2.fc20.x86_64 (updates)
              ~libtntnet.so.12()(64bit)

Comment 8 MartinKG 2014-02-06 21:07:20 UTC
rebuild against tntnet-2.2.1
https://admin.fedoraproject.org/updates/vdr-live-0.3.0-12.20130504git69f84f9.fc20


Note You need to log in before you can comment on or make changes to this bug.